@echo off

rem This is a simple script to fetch and install the necessary components
rem for running ATATS.

rem set AP_MSI=ActivePerl-5.8.8.817-MSWin32-x86-257965.msi
rem set AP_MSI=ActivePerl-5.8.8.822-MSWin32-x86-280952.msi
set AP_MSI=ActivePerl-5.10.0.1002-MSWin32-x86-283697.msi

echo *
echo *
echo * Downloading ActivePerl Installation File
echo *
echo *
wget.exe http://downloads.activestate.com/ActivePerl/Windows/5.10/%AP_MSI%

echo *
echo *
echo * Installing Active Perl -- may take several minutes
echo *
echo *
%AP_MSI% /passive /norestart /log ap_install.log
set PATH=%PATH%;C:\Perl\bin

echo *
echo *
echo * Installing extra necessary packages
echo *
echo *
call ppm install Statistics-Distributions
call ppm install Scalar-Util-Numeric
call ppm install Math-MatrixReal
call ppm install File-Which
call ppm install Devel-Cycle
call PPM install YAML
rem call ppm install Math-Random-MT
call ppm install Math-Random

echo *
echo *
echo * Installing the PDL library 
echo *
echo *
rem cd PDL-2.4.2-win32
rem call ppm install PDL.ppd
rem cd ..
call ppm rep add Theoryx5 http://cpan.uwinnipeg.ca/PPMPackages/10xx/
call ppm install PDL

call upgrade.bat

echo *
echo *
echo * Install Complete! 
echo *
echo *
